com.rscja.deviceapi.interfaces

## Interface IUhfBle

- All Superinterfaces:
    IBluetoothReader, IHandheldRFID, IReader, ISingleAntenna, IUHF, IUhfReader
  All Known Implementing Classes:
    EmptyUhfBle, RFIDWithUHFBLE, RFIDWithUHFBLE_qcom, RFIDWithUHFBLEN51_qcom, RFIDWithUHFBLEN52_qcom, UHFTemperatureTag, UHFTemperatureTag.RFIDWithUHFBLEN51, UHFTemperatureTag.RFIDWithUHFBLEN52, UHFTemperatureTagsBLEAPI

      public interface IUhfBle
      extends IUHF, IUhfReader, IBluetoothReader, ISingleAntenna, IHandheldRFID

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IBluetoothReader

      `VERSION_BT_FIRMWARE, VERSION_BT_HARDWARE, VERSION_BT_SOFTWARE`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IReader

      `UPDATE_STM32`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEx10SDKFirmware()`
    `java.util.List<UHFTAGInfo>` | `readTagFromBufferList_EpcTidUser()` Deprecated.
    `boolean` | `setDynamicDistance(int value)` Radar positioning dynamically adjusts distance.
    `boolean` | `startInventoryTag(InventoryParameter inventoryParameter)` 开始循环识别标签。
    `boolean` | `startRadarLocation(android.content.Context context, java.lang.String tag, int bank, int ptr, IUHFRadarLocationCallback locationCallback)` 开始定位 Start location
    `boolean` | `stopRadarLocation()` 设置R6工作模式
    `boolean` | `uhfJump2BootSTM32()`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUhfReader

      `deleteAllTagToFlash, getAllTagTotalFromFlash, getFastID, getNewTagTotalFromFlash, getReaderAwaitSleepTime, getTagDataFromFlash, getTagfocus, readTagFromBufferList, setReaderAwaitSleepTime`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IBluetoothReader

      `connect, connect, disconnect, free, getBeep, getBleHardwareVersion, getBluetoothVersion, getConnectStatus, init, sendData, setConnectionStatusCallback, setOnDataChangeListener, setRemoteBluetoothName, startScanBTDevices, stopScanBarcode, stopScanBTDevices`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IReader

      `blinkOfLed, closeLed, getBarcodeTypeInSSIID, getBattery, getParameter, getSTM32Version, openLed, scanBarcode, scanBarcodeToBytes, setBarcodeTypeInSSIID, setBeep, setKeyEventCallback, setParameter, startScanBarcode, triggerBeep`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.ISingleAntenna

      `getPower, setPower`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IHandheldRFID

      `getTagLocate, startLocation, stopLocation`

- - ### Method Detail

    - #### readTagFromBufferList_EpcTidUser

          @Deprecated
          java.util.List<UHFTAGInfo> readTagFromBufferList_EpcTidUser()

      Deprecated.
      Deprecated. Use `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .

    - #### uhfJump2BootSTM32

          boolean uhfJump2BootSTM32()

    - #### getEx10SDKFirmware

          java.lang.String getEx10SDKFirmware()

    - #### stopRadarLocation

          boolean stopRadarLocation()

      设置R6工作模式
      Specified by:
        `stopRadarLocation` in interface `IHandheldRFID`
      Parameters:
        `mode` - 0:实时模式(real-time mode)， 1:脱机模式(offline mode)
      Returns:
        true:成功(success) false:失败(failure)

    - #### startRadarLocation

          boolean startRadarLocation(android.content.Context context,
                                     java.lang.String tag,
                                     int bank,
                                     int ptr,
                                     IUHFRadarLocationCallback locationCallback)

      开始定位
      Start location
      Specified by:
        `startRadarLocation` in interface `IHandheldRFID`
      Parameters:
        `context` - context
        `tag` - 要定位的标签(locate to the label)
        `bank` - 标签的存储区(Storage area):`IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setDynamicDistance

          boolean setDynamicDistance(int value)

      Radar positioning dynamically adjusts distance.
      Specified by:
        `setDynamicDistance` in interface `IHandheldRFID`
      Parameters:
        `value` - 1-30
      Returns:

    - #### startInventoryTag

          boolean startInventoryTag(InventoryParameter inventoryParameter)

      开始循环识别标签。

      Begin looping through the identification labels.

      通过 `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 这个回调接口获取标签数据，需要在开始盘点之前调用setInventoryCallback方法。

      Get the label data through the callback interface `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)`, you need to call the setInventoryCallback method before starting the inventory.

      备注：开启循环识别标签后模块只能响应`IUHF.stopInventory()`函数 。

      Note: The module can only respond to the `IUHF.stopInventory()` function after the loop identification tag is turned on.

      Returns:
        true:成功(success) false:失败(failure)